- Home
- API Enriched
- Shape
- shape
- Update Fraud Feedback.
Update Fraud Feedback.
POST
/api/shape/safe/namespaces/{namespace}/safe/sas/feedback
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/safe/namespaces/example/safe/sas/feedback';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"comment":"example","feedback":"example","namespace":"example","transaction_id":"example","version":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/safe/namespaces/example/safe/sas/feedback \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "comment": "example", "feedback": "example", "namespace": "example", "transaction_id": "example", "version": "example" }'Update fraud feedback for a transaction or session.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace
x-required namespace is used to scope the query.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
PostFeedbackRequest
object
comment
Transaction Comment
Transaction Comment.
string
feedback
Transaction Feedback
Transaction Feedback.
string
namespace
Namespace
Namespace is used to scope the query Required: YES.
string
transaction_id
Transaction Id
Transaction identifier.
string
version
Version
The API version to use.
string
Examplegenerated
{ "comment": "example", "feedback": "example", "namespace": "example", "transaction_id": "example", "version": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
PostFeedback
object
body
Body
Data received from the downstream server.
string format: byte
Examplegenerated
{ "body": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example